Bio::MAGETAB::ProtocolApplication(3)

NAME
Bio::MAGETAB::ProtocolApplication - MAGE-TAB protocol application class

SYNOPSIS
 use Bio::MAGETAB::ProtocolApplication;

DESCRIPTION
This class is used to describe the actual application of experimental protocols in the MAGE-TAB SDRF. See the BaseClass class for superclass methods.

ATTRIBUTES

protocol (required)
    The protocol being applied (data type: Bio::MAGETAB::Protocol).

parameterValues (optional)
    A list of parameter values used in this protocol application (data type: Bio::MAGETAB::ParameterValue).

performers (optional)
    A list of people who performed the protocol application (data type: Bio::MAGETAB::Contact).

date (optional)
    The date on which the protocol application was performed (data type: Date).

comments (optional)
    A list of user-defined comments on the protocol application (data type: Bio::MAGETAB::Comment).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::BaseClass

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).